Bug 178476 - screen refresh problem on nvidia gforce 2 pro card
screen refresh problem on nvidia gforce 2 pro card
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: 179298 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-01-20 16:06 EST by David Bentley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-05 10:22:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Bentley 2006-01-20 16:06:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
Right clicking on the gnome desktop pops up a menu box which remains when you 
let go of the button also right clicking allows you to draw/drag varying size
boxes all over the screen.

Another thing that I have noticed is after loging in the splash screen disappears
before the icons get drawn over it.

I have filed it against the driver as the vesa driver does not show this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
See description

Actual Results:  See description

Expected Results:  pop up boxes to dissapear when right button released and rectangles to disapear
when left button is released.

Additional info:

Actual video card model Aopen GeForce 2 Pro model number VGA PA256 Deluxe II

NB this card worked fine under FC4 with the previous version of xorg.
Comment 1 David Bentley 2006-01-20 16:08:16 EST
Tested with a fresh install of FC5T2 fully updated on 20/1/06
Comment 2 David Bentley 2006-01-20 17:09:51 EST
I have just done some more testing and found that this problem does not exist in
the Thousands of colors mode so I will use that mode until the problem is fixed 
in the Millions of colours mode.

Another thing that I have noticed is that the video does not work in real player
on this machine with this video card (AMD Athalon 1200 on a Gigabyte GA7ZXR)

I have another machine testing FC5/Rawhide and its video in real player works 
just fine but this has a different setup (Radeon 9800 Pro video on an Intel
SE7505 server board with dual xeon's) 
Comment 3 David Bentley 2006-01-22 10:11:41 EST
altered to FC5T2 instead of devel.
Comment 4 Mike A. Harris 2006-01-24 18:06:39 EST
Sounds like an acceleration related bug.  Try the original configuration you
used, but use Option "noaccel" to disable acceleration temporarily to see if
the problem goes away.

Next test, is to comment out the noaccel option added above, and to try:

    Option "XaaNoScreenToScreenCopy"

There are a number of other XaaNo options available which are documented in
the xorg.conf manpage that you can try individually or together to attempt
to narrow the problem down some more as well.

Please update the report to indicate which if any of the above works around
the problem for you.

Thanks in advance.
Comment 6 Mike A. Harris 2006-01-31 12:39:11 EST
Any luck with the suggestion from comment #4?
Comment 7 David Bentley 2006-01-31 15:24:17 EST
I raised this problem again in 179298 because for some reason I lost visibility
of this one in mybugs.

I flag 179298 as a duplicate and update this one later tonight after todays 
updates have been installed.

Comment 8 David Bentley 2006-01-31 15:28:33 EST
*** Bug 179298 has been marked as a duplicate of this bug. ***
Comment 9 David Bentley 2006-01-31 17:54:40 EST
Both options in comment #4 cure the problem.
I also tried the one mentioned in your reply to bug 179298 comment #2

Option "XaaNoPixmapCache" but this had no effect.


Option "XaaNoScreenToScreenCopy"

is prefered to

Option "NoAccel"

As this leaves other acceleration in effect.
Comment 10 Mike A. Harris 2006-02-03 07:15:09 EST
These might be additional duplicates of the same issue:


New X server build, and nv driver build are available which might possibly
resolve the issue also.  Please try them and let me know if there's any

Comment 11 David Bentley 2006-02-05 06:38:07 EST
I can confirm that all is now OK when using the new driver. 

The issue reported is nolonger apparent.
Comment 12 Mike A. Harris 2006-02-05 10:22:47 EST
Cool, thanks for the update.

Setting status to "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.